'use strict';
define(function() {
  var toolbarbasemap = function() {
    return {
      templateUrl:
        'js/XG/widgets/mapapp/cotationedition/views/cotationtoolbaredit.html',

      restrict: 'A',

      link: function(scope, element) {
        element.bind('click', function() {
          //alert(m);
          scope.addtools({
            title: 'Edition',
            name: 'Edit',
            directive: 'cotationeditwidget',
          });
          try {
            scope.$apply(scope);
          } catch(err) {}
        });
      },
    };
  };

  toolbarbasemap.$inject = [];
  return toolbarbasemap;
});
